package com.jpsoft.smart.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:base_company_info的实体类
 */
@ApiModel(value = "base_company_info的实体类")
public class CompanyInfo {
    @ApiModelProperty(value = "公司编号")
	private String id;
    @ApiModelProperty(value = "序号")
	private Integer sortNo;
    @ApiModelProperty(value = "公司名称")
	private String name;
    @ApiModelProperty(value = "备注")
	private String remark;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	/**
	 *获取公司编号
	 */
    	public String getId(){
		return id;
	}
	
	/**
	 *设置公司编号
	 */
	public void setId(String id){
		this.id = id;
	}
	/**
	 *获取序号
	 */
    	public Integer getSortNo(){
		return sortNo;
	}
	
	/**
	 *设置序号
	 */
	public void setSortNo(Integer sortNo){
		this.sortNo = sortNo;
	}
	/**
	 *获取公司名称
	 */
    	public String getName(){
		return name;
	}
	
	/**
	 *设置公司名称
	 */
	public void setName(String name){
		this.name = name;
	}
	/**
	 *获取备注
	 */
    	public String getRemark(){
		return remark;
	}
	
	/**
	 *设置备注
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}
	/**
	 *获取创建人
	 */
    	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
	/**
	 *获取创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
	/**
	 *获取更新人
	 */
    	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
	/**
	 *获取更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
	/**
	 *获取是否删除
	 */
    	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}